/*
 * File : dlReceiverBusy.h
 *
 * Description : This file contains the declaration for the
 * dlReceiverBusy class.
 */

#ifndef _dlReceiverBusy_h_
#define _dlReceiverBusy_h_


#include "dlInfoXfer.h"

/*
 * Class : dlReceiverBusy
 *
 * Description : This class inherits from dlInfoXfer, and is 
 * a provides functionality to implement the dlReceiverBusy
 * state. The dlReceiverBusy state is a special state in the
 * in the information transfer phase when the DTE receiver
 * is busy and cannot receiver I-frames. Only the HandleIframe
 * and GetSupervisoryFrame() methods need to be redefined.
 * All other functionality is identical to the functionality
 * of the dlInfoXfer state.
 */

class dlReceiverBusy : public dlInfoXfer {
 public:
	dlReceiverBusy(dllayer *dl);
	virtual ~dlReceiverBusy() {}
	virtual dlStateMachine *HandleIframe(int &errorCode);
	virtual dlStateMachine *HandleRr(int &errorCode);
	virtual void PrintState(); 
 protected:
	virtual int GetSupervisoryFrame();
};


#endif
